AnsweredAssumed Answered

Yocto4.9.88:bitbake meta-toolchain-qt5 fail

Question asked by yonghe luo on Jul 19, 2018
Latest reply on Sep 3, 2018 by yonghe luo

Dear Sir,

     在编译meta-toolchain-qt5是,出现两个错误:

ERROR: meta-toolchain-qt5-1.0-r0 do_populate_sdk: Could not invoke dnf. Command '/home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/recipe-sysroot-native/usr/bin/dnf -y -c /home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/sdk/image/etc/dnf/dnf.conf --setopt=reposdir=/home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/sdk/image/etc/yum.repos.d --repofrompath=oe-repo,/home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/oe-sdk-repo --installroot=/home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/sdk/image --setopt=logdir=/home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/temp --nogpgcheck install nativesdk-packagegroup-sdk-host packagegroup-cross-canadian-imx6solosabresd nativesdk-packagegroup-qt5-toolchain-host' returned 1:
Added oe-repo repo from /home/yhluo/project_yocto/imx6_yocto_4.9.88_src/build-qt5/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/meta-toolchain-qt5/1.0-r0/oe-sdk-repo

......

Running transaction test
Error: Transaction check error:
file /opt/fsl-imx-fb/4.9.88-2.0.0/sysroots/x86_64-pokysdk-linux/environment-setup.d conflicts between attempted installs of nativesdk-cmake-3.8.2-r0.x86_64_nativesdk and nativesdk-qtbase-tools-5.9.4+git0+0d9208cecb-r0.x86_64_nativesdk

 

具体信息如下:

Host: Ubuntu 14.04, 64bit, (Virtulbox)

Yocto: 4.9.88 ga

Device: i.mx6solo

 

详细的log详见附件。

 

   谢谢!

  Yonghe.Luo

Outcomes